# -*- encoding=utf8 -*-
import json
import traceback

from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from air_case.public1.public1.public1 import *
from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_tools import *

from common.fileUtls import FileUtils
from common.run_cmd_script import execute_command
from common.timeUtils import timeUtils
from airtest.core.api import using

__author__ = "xiaohesheng"

"""
case_tag:api,b6_spd3_core_business_flow_database_check,a_b5流程十二请领业务流_二级库向二级库,id2303,id2303-15,sit,on
核心业务流:a_b5流程十二请领业务流_二级库向二级库
python runner_test.py tag id2303-15 debug mdm3
"""


def check_mcms_dept_buy_car(type=1):
    hos_goods_id = 'hos_goods_id'
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    elif type == 3:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    # 获取create_time的值
    create_time = get_create_time(
        "select create_time from mcms_dept_buy_car where branch_id='%s'and hos_goods_id='%s'order by create_time desc LIMIT 1;" % (
            branch_id, hos_goods_id))
    print('create_time', create_time)
    id = get_id(
        "select id from mcms_dept_buy_car where branch_id='%s'and hos_goods_id='%s' order by create_time desc LIMIT 1;" % (
            branch_id, hos_goods_id))
    print('id', id)
    create_user = get_id(
        "select create_user from mcms_dept_buy_car where branch_id='%s'and hos_goods_id='%s' order by create_time desc LIMIT 1;;" % (
            branch_id, hos_goods_id))
    print('create_time', create_time, 'id', id)
    sql = """select * from mcms_dept_buy_car where branch_id='%s' and hos_goods_id='%s' order by create_time desc LIMIT 1;
             """ % (branch_id, hos_goods_id)
    # 要验证的sql，取自数据库的表中
    actual_value1 = check_mcms_dept_buy_car_sql(sql)
    print(actual_value1)
    deptid2 = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid5']
    deptname2 = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid5']
    areaCode = get_stockAreaId_new_fromDb(deptname2, 2)
    areaName = '默认库区'

    mdm_goods_code = get_mdm_goods_code1(hos_goods_id)
    goodsCode = get_goods_code1(hos_goods_id)
    pkgDefId = get_pkg_def_id(hos_goods_id)
    pkgDefName = get_pkg_def_Name(hos_goods_id)
    last_modified_user = create_user
    last_modified = create_time
    # print('actual_value1',actual_value1)
    actual_value2 = get_process_list2(actual_value1)
    # print('actual_value2')
    # print( actual_value2)
    # prov_hos_goods_id = '8d6273b7bca84dd8aace12b9422d7fd6'
    expected_value2 = 'expected_value2'
    if type == 1:
        expected_value2 = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                        'check_mcms_dept_buy_car', id, get_hosid(), branch_id,
                                                        deptid2,
                                                        deptname2, areaCode, areaName, hos_goods_id, mdm_goods_code,
                                                        goodsCode, pkgDefId, pkgDefName
                                                        , create_user, create_time, last_modified, last_modified_user)
    elif type == 2:
        expected_value2 = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                        'check_mcms_dept_buy_car2', id, get_hosid(),
                                                        branch_id,
                                                        deptid2,
                                                        deptname2, areaCode, areaName, hos_goods_id, mdm_goods_code,
                                                        goodsCode,
                                                        create_user, create_time, last_modified, last_modified_user)
    else:
        expected_value2 = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                        'check_mcms_dept_buy_car3', id, get_hosid(), branch_id,
                                                        deptid2,
                                                        deptname2, areaCode, areaName, hos_goods_id, mdm_goods_code,
                                                        goodsCode, pkgDefId, pkgDefName
                                                        , create_user, create_time, last_modified, last_modified_user)
    # print('expected_value2', expected_value2)
    # expected_value2=get_process_list2(expected_value2)
    actual_value2 = actual_value2.replace(" ", "")
    expected_value2 = expected_value2.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')

# 检查二级库请领单审批前的子表数据
def mcms_dept_buy_detail(type=16):
    branch_id = get_branch_id()
    # 获取主表主键
    sql = "select id from  mcms_dept_buy where branch_id='%s' and bill_mode='%s' order by create_time desc  LIMIT 1;" % (
        branch_id, type)
    id1 = process_tuple(get_dept_buy_id(sql))
    # 获取order_no
    sql1 = "select order_no from  mcms_dept_buy where branch_id='%s' and bill_mode='%s' order by create_time desc LIMIT 1;" % (
        branch_id, type)
    order_no1 = get_dept_buy_id(sql1)
    order_no1 = process_tuple(order_no1)
    # 子表sql
    sql1 = "select * from mcms_dept_buy_detail where pid='%s';" % id1
    # 从数据库中获取实际值
    actual = check_mcms_dept_buy_sql(sql1)
    print('actual', actual)
    if type == 16:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 20:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]

    # print(hos_goods_id,process_tuple(hos_goods_id))

    # 获取子表id
    detail_id = get_id("select id from mcms_dept_buy_detail where pid='%s';" % id1)
    print('detail_id', detail_id)
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "二级库请领产品信息", 'message21')
    list_a = info['list_a']
    mdm_goods_code = process_tuple(
        get_mdm_goods_code("select mdm_goods_code from mcms_goods_info  where id='%s';" % hos_goods_id))
    goods_code = process_tuple(
        get_mdm_goods_code("select hos_goods_code from mcms_goods_info  where id='%s';" % hos_goods_id))
    pkg_def_id = process_tuple(
        get_id("select pkg_def_id from mcms_pkg where hos_goods_id='%s' LIMIT 1;" % hos_goods_id))
    if pkg_def_id == 'None':
        print(pkg_def_id)
        pkg_def_id = pkg_def_id.replace("'", "")
        print(pkg_def_id)
    pkg_def_name = process_tuple(
        get_id("select pkg_def_name from mcms_pkg where hos_goods_id='%s' LIMIT 1;" % hos_goods_id))
    create_user = get_login_user_uxid()
    create_time = get_create_time("select create_time from  mcms_dept_buy_detail where pid='%s';" % id1)
    last_modified = create_time
    last_modified_user = create_user
    if type == 16:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_dept_buy_detail', detail_id, id1, order_no1, hos_goods_id,
                                                 mdm_goods_code, goods_code, pkg_def_id, pkg_def_name, create_user,
                                                 create_time, last_modified, last_modified_user)
    elif type == 20:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_dept_buy_detail1', detail_id, id1, order_no1, hos_goods_id,
                                                 mdm_goods_code, goods_code, pkg_def_id, pkg_def_name, create_user,
                                                 create_time, last_modified, last_modified_user)
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_dept_buy_detail2', detail_id, id1, order_no1, hos_goods_id,
                                                 mdm_goods_code, goods_code, pkg_def_id, pkg_def_name, create_user,
                                                 create_time, last_modified, last_modified_user)

    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


# 检查二级库请领单审批前的主表数据
def check_mcms_dept_buy(type=16):
    branch_id = get_branch_id()
    sql = """select * from mcms_dept_buy where branch_id='%s' and bill_mode='%s' and buy_kind='LY' order by create_time desc  LIMIT 1;
                 """ % (branch_id, type)
    actual = check_mcms_dept_buy_sql(sql)
    print(actual)
    # 获取主键id
    sql = "select id from  mcms_dept_buy where branch_id='%s' and bill_mode='%s' order by create_time desc  LIMIT 1;" % (
        branch_id, type)
    id1 = get_dept_buy_id(sql)
    # 获取order_no
    sql1 = "select order_no from  mcms_dept_buy where branch_id='%s' and bill_mode='%s' order by create_time desc LIMIT 1;" % (
        branch_id, type)
    order_no1 = get_dept_buy_id(sql1)
    print(process_tuple(id1), process_tuple(order_no1))
    id1 = process_tuple(id1)
    order_no1 = process_tuple(order_no1)
    deptid2 = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid5']
    deptname2 = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid5']
    deptname5 = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    target_stock_name = deptname5 + "库房"
    # target_dept_id=FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']

    # area_code = get_stockAreaId_new(deptid2, deptname2, 2)
    # info = FileUtils().r_info8("b5_spd3_core_business_flow", "库区信息", 'message22')
    # list_a = info['list_a']
    area_code = get_stockAreaId_new_fromDb(deptname2, 2)
    area_name = '默认库区'
    # 读取文件中的信息
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "二级库向二级库请领产品信息", 'message23')
    list_a = info['list_a']
    target_dept_id = commonFuc().analysis_json('targetDeptId', list_a)
    target_dept_name = commonFuc().analysis_json('targetDeptName', list_a)
    pur_mode = commonFuc().analysis_json('purMode', list_a)
    goodsCode = commonFuc().analysis_json('goodsCode', list_a)
    pkgDefId = commonFuc().analysis_json('pkgDefId', list_a)
    pkgDefName = commonFuc().analysis_json('pkgDefName', list_a)

    bill_expdt_date = get_expdt_date(
        "select bill_expdt_date from  mcms_dept_buy where branch_id='%s' and bill_mode='%s' order by create_time desc  LIMIT 1;" % (
            branch_id, type))
    rec_user = get_login_user_uxid()
    # rec_addr='二级检验科002'
    create_user = rec_user
    create_time = get_create_time(
        "select create_time from  mcms_dept_buy where branch_id='%s' and bill_mode='%s' order by create_time desc  LIMIT 1;" % (
            branch_id, type))
    last_modified = get_create_time(
        "select last_modified from  mcms_dept_buy where branch_id='%s' and bill_mode='%s' order by create_time desc  LIMIT 1;" % (
            branch_id, type))
    last_modified_user = rec_user
    last_auditor = rec_user
    last_audit_time = get_create_time(
        "select last_audit_time from  mcms_dept_buy where branch_id='%s' and bill_mode='%s' order by create_time desc  LIMIT 1;" % (
            branch_id, type))
    rec_addr = deptname2
    dept_id1 = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    dept_name1=FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    stock_name = dept_name1 + "库房"
    target_stock_id = get_stockId_fromdb(stock_name)
    if type == 16:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_dept_buy5', id1, order_no1, get_hosid(), branch_id,
                                                 deptid2,
                                                 deptname2, area_code, area_name, target_dept_id, target_dept_name,
                                                 target_stock_id, target_stock_name, bill_expdt_date, rec_user,
                                                 rec_addr, create_user, create_time,
                                                 last_modified, last_modified_user)
    elif type == 20:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_dept_buy5_2', id1, order_no1, get_hosid(),
                                                 branch_id, deptid2,
                                                 deptname2, area_code, area_name, target_dept_id, target_dept_name,
                                                 target_stock_id, target_stock_name, bill_expdt_date, rec_user,
                                                 rec_addr, create_user, create_time,
                                                 last_modified, last_modified_user)
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_dept_buy5_3', id1, order_no1, get_hosid(),
                                                 branch_id, deptid2,
                                                 deptname2, area_code, area_name, target_dept_id, target_dept_name,
                                                 target_stock_id, target_stock_name, bill_expdt_date, rec_user,
                                                 rec_addr, create_user, create_time,
                                                 last_modified, last_modified_user)

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
def check_mcms_psi_dept_batch(type,DR_ID):
    sql = " select * from  mcms_psi_dept_batch where pid='%s';" % (
    DR_ID)
    actual = check_mcms_dept_buy_sql(sql)
    print(actual)
    if type == 16:
        #子表检查
        check_mcms_psi_dept_batch(type,DR_ID)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept1',DR_ID
                                                 )
    elif type == 20:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept2',DR_ID)
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept3',DR_ID)

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')

def check_mcms_psi_dept(type=16):
    branch_id=get_branch_id()
    sql=" select * from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_SL' order by   CREATE_TIME desc LIMIT 1;"%(branch_id,type)
    actual = check_mcms_dept_buy_sql(sql)
    print(actual)
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "拣货单id", 'message26')
    # print(info)

    if type==16:
        DR_ID=info['DR_NO2']
    elif type==20:
        DR_ID = info['DR_NO3']
    else:
        DR_ID = info['DR_NO1']
    DR_ID = ''.join(DR_ID)
    sql="select order_no from mcms_psi_dept where id='%s';"% DR_ID
    order_no = get_id(sql)
    target_corp_id=get_hosid()
    target_branch_id=get_branch_id()
    target_dept_id=FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid5']
    target_dept_name=FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid5']
    target_stock_id=get_stockId_fromdb(target_dept_name+'库房')
    target_area_code=get_stockAreaId_new_fromDb(target_dept_name,2)
    PICK_id=get_PICK_id(branch_id,type)
    source_id=PICK_id
    source_corp_id=get_hosid()
    source_branch_id=get_branch_id()
    source_dept_id=FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    source_dept_name=FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    source_stock_id=get_stockId_fromdb(source_dept_name+'库房')
    source_area_code=get_stockAreaId_new_fromDb(source_dept_name,2)
    buyBillId =get_buyBillId(branch_id,type)
    pickOrderNo=get_PICK_order_no(branch_id,type)
    buyOrderNo=get_buyOrderNo(branch_id,type)
    pickBillId=get_PICK_id(branch_id,type)
    psiDeptOutBillId=DR_ID
    psiDeptOutOrderNo=order_no
    create_user=get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time=get_create_time("select create_time from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified=get_create_time("select last_modified from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified_user=create_user
    if type == 16:
        #子表检查
        check_mcms_psi_dept_batch(type,DR_ID)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept1',DR_ID,order_no,target_corp_id,target_branch_id,target_dept_id,target_dept_name,target_stock_id
                                                    ,target_area_code,source_id,source_corp_id,source_branch_id,
                                                 source_dept_id,source_dept_name,source_stock_id,source_area_code,
                                                 buyBillId,pickOrderNo,buyOrderNo,pickBillId,psiDeptOutBillId,psiDeptOutOrderNo
                                                ,create_user,create_time,last_modified,last_modified_user

                                                 )
    elif type == 20:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept2',DR_ID,order_no,target_corp_id,target_branch_id,target_dept_id,target_dept_name,target_stock_id
                                                    ,target_area_code,source_id,source_corp_id,source_branch_id,
                                                 source_dept_id,source_dept_name,source_stock_id,source_area_code,
                                                 buyBillId,pickOrderNo,buyOrderNo,pickBillId,psiDeptOutBillId,psiDeptOutOrderNo
                                                ,create_user,create_time,last_modified,last_modified_user)
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept3',DR_ID,order_no,target_corp_id,target_branch_id,target_dept_id,target_dept_name,target_stock_id
                                                    ,target_area_code,source_id,source_corp_id,source_branch_id,
                                                 source_dept_id,source_dept_name,source_stock_id,source_area_code,
                                                 buyBillId,pickOrderNo,buyOrderNo,pickBillId,psiDeptOutBillId,psiDeptOutOrderNo
                                                ,create_user,create_time,last_modified,last_modified_user)

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
try:
    pro_path = commonFuc().get_pro_path2()
    print('pro_path', pro_path)
    sys.path.append(pro_path + r'/air_case/b5_spd3_core_business_flow/a_b5流程十二请领业务流_二级库向二级库.air')
    using(pro_path + r'//air_case/b5_spd3_core_business_flow/a_b5流程十二请领业务流_二级库向二级库.air')

    from a_b5流程十二请领业务流_二级库向二级库 import add_dept2

    from a_b5流程十二请领业务流_二级库向二级库 import add_new_deptinfo,edit_goods_target,second_dept_Request
    from a_b5流程十二请领业务流_二级库向二级库 import BuyCarSubmit,pick_execute
    #========下面暂时注释
    # add_dept2()  # 新增一个二级科室
    # add_new_deptinfo()  # 写入科室信息到文件中
    # grants_user_new()  # 新增授权
    # # 同步库房信息
    # execute_command("python runner_test.py tag id2263-221 debug sit")
    # # 设置部门用户
    # set_dept_user(FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid5'],
    #               FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid5'], 2)
    # # 设置部门负责人
    # set_dept_lead_new(FileUtils().r_info8('b2_herp3_bs', '所有科室id', 'message6')["deptid5"])  # 设置二级科室负责人
    # get_stockAreaId_new(FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid5'],
    #                     FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid5'], 2)
    #
    # # 设置库区联系人
    # deptName5 = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid5']
    #
    # set_stockShelf_Linkman(FileUtils().r_info8('b2_herp3_bs', '所有科室id', 'message6')["deptid5"],
    #                        get_stockAreaId2_new_fromDb(deptName5, 2))
    # #新建科室产品分配
    # dept_goods_distribute(FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid5'])
    # #编辑产品请领目标为二级检验科002
    # currentDeptId = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid5']
    # targetDeptId = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    # edit_goods_target(currentDeptId, targetDeptId)
    #
    # updateUserLoginDefaultRange(get_listUserMgrRangePage1(5))  # 设置登录账号默认权限是新二级库
    #
    # # # 低值
    # second_dept_Request(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message2')['hosGoodsId'], 1)
    # check_mcms_dept_buy_car(1)
    # # # # 高值
    # second_dept_Request(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message1')['hosGoodsId'], 2)
    # check_mcms_dept_buy_car(2)
    # # # # 试剂
    # second_dept_Request(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message3')['hosGoodsId'], 3)
    # check_mcms_dept_buy_car(3)
    #
    # BuyCarSubmit()  # 请领车提交
    # time.sleep(6)
    # list_data = ['16', '20', '66']
    # for i in list_data:
    #     check_mcms_dept_buy(int(i))
    #     mcms_dept_buy_detail(int(i))
    # for i in range(6):  # 三个单据共审批6次
    #     approval_center()
    # updateUserLoginDefaultRange(get_listUserMgrRangePage1(2))  # 设置登录账号默认权限是二级库
    # # # 二级科室领用出库
    # # # 低值拣货执行
    # pick_execute()
    # 上面暂时注释========================
    #检查出库单
    # check_mcms_psi_dept(16)
    # check_mcms_psi_dept(20)
    check_mcms_psi_dept(66)
    second_dept_one_key_in(5)
    second_dept_one_key_in(5)
    second_dept_one_key_in(5)
    commonFuc().check_text_exist_result_text('succees', 'succees')
except Exception as e:
    # 打印错误信息
    print(f"发生错误: {e}")
    commonFuc().check_text_exist_result_text('error', '1')
